curl --request GET \
--url https://api.ruxa.ai/api/v1/tasks/query/task_gemini-2.5-flash-image_1766304530229_cf4dafd2 \
--header 'Authorization: Bearer sk-xxxxxx'
{
"code": 200,
"message": "success",
"data": {
"taskId": "task_gemini-2.5-flash-image_1766304530229_cf4dafd2",
"state": "success",
"resultJson": "{\"resultUrls\":[\"https://cdn.example.com/image.png\"]}"
}
}
Common
Get Task Details
Query the status and results of async tasks
GET
/
api
/
v1
/
tasks
/
query
/
{taskId}
curl --request GET \
--url https://api.ruxa.ai/api/v1/tasks/query/task_gemini-2.5-flash-image_1766304530229_cf4dafd2 \
--header 'Authorization: Bearer sk-xxxxxx'
{
"code": 200,
"message": "success",
"data": {
"taskId": "task_gemini-2.5-flash-image_1766304530229_cf4dafd2",
"state": "success",
"resultJson": "{\"resultUrls\":[\"https://cdn.example.com/image.png\"]}"
}
}
Use this endpoint to query the status and results of any async task created
via the API.
In production, use the callback_url parameter to receive automatic
notifications rather than polling.
Authorization
string
required
Bearer Token authentication. Format: Bearer sk-xxxxxx
Path Parameters
string
required
Task ID, the unique identifier returned when creating the task
Response
integer
required
Response status code
string
required
Response message
object
required
Task data object
Task Status
| Status | Description |
|---|---|
| waiting | Task queued for processing |
| queuing | Task in processing queue |
| generating | Task is being processed |
| success | Task completed successfully |
| fail | Task failed |
curl --request GET \
--url https://api.ruxa.ai/api/v1/tasks/query/task_gemini-2.5-flash-image_1766304530229_cf4dafd2 \
--header 'Authorization: Bearer sk-xxxxxx'
{
"code": 200,
"message": "success",
"data": {
"taskId": "task_gemini-2.5-flash-image_1766304530229_cf4dafd2",
"state": "success",
"resultJson": "{\"resultUrls\":[\"https://cdn.example.com/image.png\"]}"
}
}